using System;

namespace WinFormIsDirtyCS
{
  public class AppConfig
  {
    #region '"Private Shared Variables"'
    private static DirtyControls mDirtyControlsList = null;
    #endregion

    #region '"Public Shared Properties"'
    public static DirtyControls DirtyControlsList
    {
      get  {
        if (mDirtyControlsList == null)
        {
          LoadDirtyControls();
        }
        return mDirtyControlsList;
      }
      set { mDirtyControlsList = value; }
    }
    #endregion

    #region '"LoadDirtyControls Method"'
    private static void LoadDirtyControls()
    {
      //  Load up the DirtyControls List
      mDirtyControlsList = new DirtyControls();
      mDirtyControlsList.LoadControls(AppConfig.GetCurrentDirectory() + "XML/DirtyControls.xml");
    }
    #endregion

    #region '"GetCurrentDirectory Method"'
    public static string GetCurrentDirectory()
    {
      string strPath = null;

      strPath = Environment.CurrentDirectory;

      if (strPath.EndsWith(@"bin\Debug"))
      {
        strPath = strPath.Substring(0, strPath.IndexOf("bin"));
      }
      else
      {
        strPath += @"\";
      }

      return strPath;
    }
    #endregion
  }
} 
